org.apache.sling.maven.kickstart.run

## Class KickstartEnvironment

- java.lang.Object
- - org.apache.sling.maven.kickstart.run.KickstartEnvironment

    public class KickstartEnvironment
    extends Object

Common settings for all kickstart instances.

### Field Summary

Fields
`static String` `WORK_DIR_NAME` The work directory created by starting kickstart.

### Constructor Summary

Constructors
Constructor and Description
`KickstartEnvironment(File kickstartJar, boolean cleanWorkingDirectory, boolean shutdownOnExit, int readyTimeOutSec, String debug)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDebug()`
`int` `getReadyTimeOutSec()`
`boolean` `isShutdownOnExit()`
`File` `prepare(File folder)` Prepare a new instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### WORK_DIR_NAME

    public static final String WORK_DIR_NAME

The work directory created by starting kickstart.

See Also:
  Constant Field Values

### Constructor Detail

#### KickstartEnvironment

    public KickstartEnvironment(File kickstartJar,
                                boolean cleanWorkingDirectory,
                                boolean shutdownOnExit,
                                int readyTimeOutSec,
                                String debug)

### Method Detail

#### isShutdownOnExit

    public boolean isShutdownOnExit()

#### getReadyTimeOutSec

    public int getReadyTimeOutSec()

#### prepare

    public File prepare(File folder)
                 throws IOException

Prepare a new instance.

Parameters:
  `folder` - The target folder for the instance
Returns:
  The kickstart jar
Throws:
  `IOException` - if an error occurs.

#### getDebug

    public String getDebug()

Returns:
  the global debug parameter for all Sling instances. Set through `StartMojo.debug`.